Subject: bug#9919: 24.0.91; font-lock broken in dired

From: "Drew Adams" <[email-masked]>
Date: Mon, 9 Jan 2012 07:52:50 -0800

> > I cannot reproduce this with the 24.0.91 Windows Pretest 
> > binary or my current trunk build.
> > I downloaded dired+.el and put it in the Emacs path. With 
> > emacs -Q, I do M-x load-library and load dired+.el. The dired
> > buffer shows your custom font-locking.
> > I then tried (require 'dired+) in my init.el and it also showed the
> > font-locking correctly when invoking dired.
> > Could anything have changed in your setup?
> 
> No nothing changed in my setup.  But I added the workaround 
> to dired+.el, as I mentioned, so you will not see the bug with the latest 
> dired+.el.  See the 2011/10/21 change-log entry.
> 
> To see the bug, just remove the call to `font-lock-refresh-defaults'.
> There is only one such call, preceded by this comment:
> ;; Emacs 24+: Need to refresh `font-lock-keywords' from
> `font-lock-defaults'.
> 
> (BTW, this bug was also reported to me by dired+.el users. It 
> has nothing to do with my setup.)

ping.

I am still getting reports about this wrt dired+.el from users on GNU/Linux.  So
perhaps my workaround is not sufficient there - dunno.  In any case, this is a
regression and a performance problem.  It should not be necessary to explicitly
refontify (fontify twice).